View Issue Details

IDProjectCategoryView StatusLast Update
0003680unrealinstallingpublic2008-12-14 19:20
Reportertherock247ukAssigned Tosyzop 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSWindowsOS VersionXP SP2
Product Version3.2.7 
Target VersionFixed in Version3.2.8 
Summary0003680: Unrealircd does not compile under Visual studio 2008
DescriptionLast few lines of the compiler...


/out:config.exe
config.obj
        cl /MT /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/win32/unreal.c
unreal.c
        rc /l 0x409 /fosrc/win32/unreal.res /i ./include /i ./src /d NDEBUG src
/win32/unreal.rc
Microsoft (R) Windows (R) Resource Compiler Version 6.0.5724.0
Copyright (C) Microsoft Corporation. All rights reserved.

        link advapi32.lib src/unreal.obj src/win32/unreal.res
Microsoft (R) Incremental Linker Version 9.00.21022.08
Copyright (C) Microsoft Corporation. All rights reserved.

        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/channel.c
channel.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/send.c
send.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/socket.c
socket.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_conf.c
s_conf.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/fdlist.c
fdlist.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/dbuf.c
dbuf.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/hash.c
hash.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/parse.c
parse.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/ircd.c
ircd.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_numeric.c
s_numeric.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/whowas.c
whowas.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_auth.c
s_auth.c
e:\unreal3.2.7\unreal3.2.7\include\win32\ares\setup_once.h(277) : warning C4005:
 'ERRNO' : macro redefinition
        E:\Unreal3.2.7\Unreal3.2.7\INCLUDE\sys.h(255) : see previous definition
of 'ERRNO'
e:\unreal3.2.7\unreal3.2.7\include\win32\ares\setup_once.h(278) : warning C4005:
 'SET_ERRNO' : macro redefinition
        E:\Unreal3.2.7\Unreal3.2.7\INCLUDE\sys.h(257) : see previous definition
of 'SET_ERRNO'
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/help.c
help.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_misc.c
s_misc.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/match.c
match.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/crule.c
crule.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_debug.c
s_debug.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/support.c
support.c
e:\unreal3.2.7\unreal3.2.7\src\support.c(1945) : warning C4715: 'decode_ip' : no
t all control paths return a value
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/list.c
list.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_err.c
s_err.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/packet.c
packet.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_bsd.c
s_bsd.c
e:\unreal3.2.7\unreal3.2.7\include\win32\ares\setup_once.h(277) : warning C4005:
 'ERRNO' : macro redefinition
        E:\Unreal3.2.7\Unreal3.2.7\INCLUDE\sys.h(255) : see previous definition
of 'ERRNO'
e:\unreal3.2.7\unreal3.2.7\include\win32\ares\setup_once.h(278) : warning C4005:
 'SET_ERRNO' : macro redefinition
        E:\Unreal3.2.7\Unreal3.2.7\INCLUDE\sys.h(257) : see previous definition
of 'SET_ERRNO'
src/s_bsd.c(101) : warning C4005: 'SET_ERRNO' : macro redefinition
        e:\unreal3.2.7\unreal3.2.7\include\win32\ares\setup_once.h(278) : see pr
evious definition of 'SET_ERRNO'
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_serv.c
s_serv.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_user.c
s_user.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/charsys.c
charsys.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/version.c
version.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_kline.c
s_kline.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_extra.c
s_extra.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/ircsprintf.c
ircsprintf.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/lusers.c
lusers.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/scache.c
scache.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/aln.c
aln.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/res.c
res.c
e:\unreal3.2.7\unreal3.2.7\include\win32\ares\setup_once.h(277) : warning C4005:
 'ERRNO' : macro redefinition
        E:\Unreal3.2.7\Unreal3.2.7\INCLUDE\sys.h(255) : see previous definition
of 'ERRNO'
e:\unreal3.2.7\unreal3.2.7\include\win32\ares\setup_once.h(278) : warning C4005:
 'SET_ERRNO' : macro redefinition
        E:\Unreal3.2.7\Unreal3.2.7\INCLUDE\sys.h(257) : see previous definition
of 'SET_ERRNO'
e:\unreal3.2.7\unreal3.2.7\src\res.c(462) : warning C4715: 'unrealdns_haship' :
not all control paths return a value
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/modules.c
modules.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/s_svs.c
s_svs.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/events.c
events.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/umodes.c
umodes.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/auth.c
auth.c
src/auth.c(319) : warning C4047: 'return' : 'int' differs in levels of indirecti
on from 'void *'
src/auth.c(320) : warning C4047: 'return' : 'int' differs in levels of indirecti
on from 'void *'
src/auth.c(321) : warning C4047: 'return' : 'int' differs in levels of indirecti
on from 'void *'
src/auth.c(333) : warning C4047: 'return' : 'int' differs in levels of indirecti
on from 'void *'
src/auth.c(334) : warning C4047: 'return' : 'int' differs in levels of indirecti
on from 'void *'
src/auth.c(335) : warning C4047: 'return' : 'int' differs in levels of indirecti
on from 'void *'
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/cidr.c
cidr.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/ssl.c
ssl.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/random.c
random.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/extcmodes.c
extcmodes.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/md5.c
md5.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/api-isupport.c
api-isupport.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/api-command.c
api-command.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/extbans.c
extbans.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/timesynch.c
timesynch.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/win32/gui.c
gui.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/win32/service.c
service.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/win32/debug.c
debug.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/win32/rtf.c
rtf.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/win32/editor.c
editor.c
        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T src/win32/win32.c
win32.c
        rc /l 0x409 /fosrc/win32/win32.res /i ./include /i ./src /d NDEBUG src/
win32/win32gui.rc
Microsoft (R) Windows (R) Resource Compiler Version 6.0.5724.0
Copyright (C) Microsoft Corporation. All rights reserved.

        cl /MD /Zi /J /I ./INCLUDE /I ./INCLUDE/WIN32/ARES /Fosrc/ /nologo
 /D FD_SETSIZE=16384 /D NOSPOOF=1 /c /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONST
DC_NO_DEPRECATE /D _USE_32BIT_TIME_T /c SRC/CLOAK.c
CLOAK.c
        link kernel32.lib user32.lib gdi32.lib shell32.lib ws2_32.lib advapi32.l
ib dbghelp.lib oldnames.lib comctl32.lib comdlg32.lib /def:wircd.def /im
plib:wircd.lib /nologo /debug /out:WIRCD.EXE SRC/CHANNEL.OBJ SRC/SEND.OBJ SRC/S
OCKET.OBJ SRC/S_CONF.OBJ SRC/FDLIST.OBJ SRC/DBUF.OBJ SRC/CLOAK.OBJ SRC/HASH.O
BJ SRC/PARSE.OBJ SRC/IRCD.OBJ SRC/S_NUMERIC.OBJ SRC/WHOWAS.OBJ SRC/S_AUTH.OBJ
 SRC/HELP.OBJ SRC/S_MISC.OBJ SRC/MATCH.OBJ SRC/CRULE.OBJ SRC/S_DEBUG.OBJ SRC/S
UPPORT.OBJ SRC/LIST.OBJ SRC/S_ERR.OBJ SRC/PACKET.OBJ SRC/S_BSD.OBJ SRC/S_SERV.
OBJ SRC/S_USER.OBJ SRC/CHARSYS.OBJ SRC/VERSION.OBJ SRC/S_KLINE.OBJ SRC/S_EXTRA.
OBJ SRC/IRCSPRINTF.OBJ SRC/LUSERS.OBJ SRC/SCACHE.OBJ SRC/ALN.OBJ SRC/RES.OBJ SR
C/MODULES.OBJ SRC/S_SVS.OBJ SRC/EVENTS.OBJ SRC/UMODES.OBJ SRC/AUTH.OBJ SRC/CIDR
.OBJ SRC/SSL.OBJ SRC/RANDOM.OBJ SRC/EXTCMODES.OBJ SRC/MD5.OBJ SRC/API-ISUPPORT.
OBJ SRC/API-COMMAND.OBJ SRC/EXTBANS.OBJ SRC/TIMESYNCH.OBJ SRC/GUI.OBJ SRC/SER
VICE.OBJ SRC/DEBUG.OBJ SRC/RTF.OBJ SRC/EDITOR.OBJ SRC/WIN32.OBJ SRC/win32/WIN32
.RES SRC/WIN32/TRE.LIB SRC/WIN32/ARESLIB.LIB /MAPINFO:LINES /MAP
LINK : fatal error LNK1117: syntax error in option 'MAPINFO:LINES'
NMAKE : fatal error U1077: '"e:\Program Files\Microsoft Visual Studio 9.0\VC\BIN
\link.EXE"' : return code '0x45d'
Stop.

E:\Unreal3.2.7\Unreal3.2.7>
Steps To Reproducenmake -f makefile.win32
Additional Informationn/a
TagsNo tags attached.
3rd party modulesnone

Relationships

child of 0003454 resolvedsyzop Unreal3.2.8 TODO 

Activities

syzop

2008-04-12 16:58

administrator   ~0015260

is this the unreal3_2_fixes branch? Then it might be because of the c-ares upgrade...
the stable branch probably compiles ok then.

if that's it then hmm heh..
i havbe no time to fix it atm
i suppose the headers need to be updates, the lib needs to be rebuild etc etc etc

therock247uk

2008-04-12 17:00

reporter   ~0015263

Its the stable version.

syzop

2008-04-14 08:07

administrator   ~0015264

oh ok, i misread the output...
LINK : fatal error LNK1117: syntax error in option 'MAPINFO:LINES'
perhaps a vstudio2008 person knows how to fix this

syzop

2008-12-10 09:33

administrator   ~0015436

I (hopefully) will fix this (if I hadn't already, locally on my harddisk, a few months ago). I'm using VStudio2008 now myself, so.. ;)

syzop

2008-12-14 19:20

administrator   ~0015444

Fixed in .717:
- Win32 makefile: removed /MAPINFO:LINES, since visual studio 2005 and up
  don't support this and will fail to compile UnrealIRCd. This fixes 0003680,
  reported by therock247uk.

.. there's still a header error somewhere (c-ares/tre problem), will have to fix that later but is a different issue...

Issue History

Date Modified Username Field Change
2008-04-09 14:43 therock247uk New Issue
2008-04-09 14:43 therock247uk 3rd party modules => none
2008-04-12 16:58 syzop Note Added: 0015260
2008-04-12 17:00 therock247uk Note Added: 0015263
2008-04-14 08:07 syzop Note Added: 0015264
2008-12-10 09:32 syzop Relationship added child of 0003454
2008-12-10 09:33 syzop Note Added: 0015436
2008-12-14 19:20 syzop QA => Not touched yet by developer
2008-12-14 19:20 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-12-14 19:20 syzop Status new => resolved
2008-12-14 19:20 syzop Fixed in Version => 3.2.8
2008-12-14 19:20 syzop Resolution open => fixed
2008-12-14 19:20 syzop Assigned To => syzop
2008-12-14 19:20 syzop Note Added: 0015444